Bug 1112022 - cyrusauth plugin is not built
Summary: cyrusauth plugin is not built
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: znc
Version: 23
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1185100 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-22 20:39 UTC by mlg9000@yahoo.com
Modified: 2015-08-10 10:13 UTC (History)
6 users (show)

Fixed In Version: znc-1.6.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of: 973828
Environment:
Last Closed: 2015-08-05 05:30:53 UTC


Attachments (Terms of Use)

Description mlg9000@yahoo.com 2014-06-22 20:39:39 UTC
+++ This bug was initially created as a clone of Bug #973828 +++

Description of problem:

This plugin is required for LDAP authentication, which in a multi-user environment is a critical component.  The current spec file has this commented out for no apparent reason.  Please enable this by default so that users do not have to compile znc themselves with each update.

Version-Release number of selected component (if applicable):
znc-1.4

How reproducible:
always

Steps to Reproduce:
1. add "LoadModule = cyrusauth saslauthd" to znc config
2. try to start znc

Actual results:
znc complains about missing cyrusauth module

Expected results:
znc would start and load the cyrusauth module

Comment 1 Fedora End Of Life 2015-05-29 12:11:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Nick Bebout 2015-06-10 01:28:06 UTC
*** Bug 1185100 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2015-06-19 22:21:36 UTC
znc-1.6.0-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/znc-1.6.0-5.fc22

Comment 4 Fedora Update System 2015-06-19 22:22:55 UTC
znc-1.6.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/znc-1.6.0-5.fc21

Comment 5 Fedora Update System 2015-06-19 22:23:08 UTC
znc-1.6.0-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/znc-1.6.0-5.el7

Comment 6 Fedora Update System 2015-06-20 21:14:00 UTC
Package znc-1.6.0-5.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing znc-1.6.0-5.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6794/znc-1.6.0-5.el7
then log in and leave karma (feedback).

Comment 7 Jan Kurik 2015-07-15 14:39:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora Update System 2015-08-04 01:33:14 UTC
znc-1.6.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/znc-1.6.1-1.fc22

Comment 9 Fedora Update System 2015-08-04 01:33:24 UTC
znc-1.6.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/znc-1.6.1-1.fc21

Comment 10 Fedora Update System 2015-08-04 01:33:35 UTC
znc-1.6.1-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/znc-1.6.1-1.fc23

Comment 11 Fedora Update System 2015-08-04 01:33:47 UTC
znc-1.6.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/znc-1.6.1-1.el7

Comment 12 Fedora Update System 2015-08-05 05:30:53 UTC
znc-1.6.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-08-05 22:25:34 UTC
znc-1.6.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-08-05 22:26:22 UTC
znc-1.6.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-08-10 10:13:37 UTC
znc-1.6.1-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.